export class QuienesSomos {
  id: string;
  foto?: string;
  nombre: string;
  descripcion?: string;
  imagen?: string;
  fecha?: string;

  constructor(json?: Partial<QuienesSomos>) {
    this.id = "";
    this.foto = "";
    this.nombre = "";
    this.descripcion = "";
    this.imagen = "";
    this.fecha = "";
    if (json !== null) {
      Object.assign(this, json);
    }
  }

  static fromJson(json: Partial<QuienesSomos>) {
    return new QuienesSomos(json);
  }

  static fromJsonList(data: Partial<QuienesSomos>[]) {
    return data.map((_data) => new QuienesSomos(_data));
  }
}
